Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.metal
Class MetalDesktopIconUI

    java.lang.Object
      |
      +--javax.swing.plaf.ComponentUI
            |
            +--javax.swing.plaf.DesktopIconUI
                  |
                  +--javax.swing.plaf.basic.BasicDesktopIconUI
                        |
                        +--javax.swing.plaf.metal.MetalDesktopIconUI

public class MetalDesktopIconUI
extends BasicDesktopIconUI

Metal desktop icon.

Inner classes inherited from class javax.swing.plaf.basic.BasicDesktopIconUI
`BasicDesktopIconUI.MouseInputHandler`

Fields inherited from class javax.swing.plaf.basic.BasicDesktopIconUI
`desktopIcon, frame`

Constructor Summary
`MetalDesktopIconUI()`

Method Summary
`static ComponentUI` | `createUI(JComponent c)`
`Dimension` | `getPreferredSize(JComponent c)`
`protected void` | `installComponents()`
`protected void` | `installDefaults()`
`protected void` | `uninstallComponents()`

Methods inherited from class javax.swing.plaf.basic.BasicDesktopIconUI
`createMouseInputListener, deiconize, getInsets, getMaximumSize, getMinimumSize, installListeners, installUI, uninstallDefaults, uninstallListeners, uninstallUI`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount, paint, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MetalDesktopIconUI

    public MetalDesktopIconUI()

Method Detail

### createUI

    public static ComponentUI createUI(JComponent c)

### installDefaults

    protected void installDefaults()

  Overrides:
    `installDefaults` in class `BasicDesktopIconUI`

### installComponents

    protected void installComponents()

  Overrides:
    `installComponents` in class `BasicDesktopIconUI`

### uninstallComponents

    protected void uninstallComponents()

  Overrides:
    `uninstallComponents` in class `BasicDesktopIconUI`

### getPreferredSize

    public Dimension getPreferredSize(JComponent c)

  Overrides:
    `getPreferredSize` in class `BasicDesktopIconUI`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.